import {
	WeaTools
} from 'ecCom'

export const getAuth = (params) => {
	return WeaTools.callApi('/api/hrm/careerplan/getHasRight', 'GET', params);
}

export const getButtonsMenu = (params) => {
	return WeaTools.callApi('/api/hrm/careerplan/getRightMenu', 'GET', params);
}

export const getSearchCondition = (params) => {
	return WeaTools.callApi('/api/hrm/careerplan/getSearchCondition', 'GET', params);
}

export const getSearchConditionSub = (params) => {
	return WeaTools.callApi('/api/hrm/inviteinfo/getSearchCondition', 'GET', params);
}

export const deleteTableInfo = (params) => {
	return WeaTools.callApi('/api/hrm/careerplan/delete', 'POST', params);
}

export const getTableInfo = (params) => {
	return WeaTools.callApi('/api/hrm/careerplan/getSearchList', 'GET', params);
}

export const getApplyInfoListByPlanId = (params) => {
	return WeaTools.callApi('/api/hrm/careerplan/getApplyInfoListByPlanId', 'GET', params);
}

export const getFormConditions = (params) => {
	return WeaTools.callApi('/api/hrm/careerplan/getCareerPlanForm', 'GET', params);
}

export const getFinishForm = (params) => {
	return WeaTools.callApi('/api/hrm/careerplan/getFinishForm', 'GET', params);
}

export const add = (params) => {
	return WeaTools.callApi('/api/hrm/careerplan/add', 'POST', params);
}

export const edit = (params) => {
	return WeaTools.callApi('/api/hrm/careerplan/edit', 'POST', params);
}

export const finish = (params) => {
	return WeaTools.callApi('/api/hrm/careerplan/finish', 'POST', params);
}

export const inform = (params) => {
	return WeaTools.callApi('/api/hrm/careerplan/inform', 'POST', params);
}

export const getTableEditDatas = (params) => {
	return WeaTools.callApi('/api/hrm/careerplan/getCareerStepForm', 'GET', params);
}

export const saveTableEditDatas = (params) => {
	return WeaTools.callApi('/api/hrm/careerplan/addCareerStep', 'POST', params);
}

export const addInviteInfo = (params) => {
	return WeaTools.callApi('/api/hrm/careerplan/addInviteInfo', 'POST', params);
}

export const getEmailInfoForm = (params) => {
	return WeaTools.callApi('/api/hrm/applyinfo/getEmailInfoForm', 'GET', params);
}

export const sendEmail = (params) => {
	return WeaTools.callApi('/api/hrm/applyinfo/sendEmail', 'POST', params);
}

export const updateApplyInfoIsInform = (params) => {
	return WeaTools.callApi('/api/hrm/careerplan/updateApplyInfoIsInform', 'POST', params);
}